summaryrefslogtreecommitdiffhomepage
path: root/subr/pkg_configure_patch_pre.subr
diff options
context:
space:
mode:
Diffstat (limited to 'subr/pkg_configure_patch_pre.subr')
-rw-r--r--subr/pkg_configure_patch_pre.subr18
1 files changed, 18 insertions, 0 deletions
diff --git a/subr/pkg_configure_patch_pre.subr b/subr/pkg_configure_patch_pre.subr
new file mode 100644
index 00000000..d228bd83
--- /dev/null
+++ b/subr/pkg_configure_patch_pre.subr
@@ -0,0 +1,18 @@
+#
+# set -o errexit -o noglob are assumed.
+#
+
+pkg_configure_patch_pre() {
+ local _patch_path;
+ for _patch_path in \
+ ${MIDIPIX_BUILD_PWD}/../${PKG_SUBDIR}_pre.local.patch \
+ ${MIDIPIX_BUILD_PWD}/../${PKG_SUBDIR}_pre.local@${BUILD_HNAME}.patch \
+ ${MIDIPIX_BUILD_PWD}/patches/${PKG_SUBDIR}_pre.local.patch \
+ ${MIDIPIX_BUILD_PWD}/patches/${PKG_SUBDIR}_pre.local@${BUILD_HNAME}.patch; do
+ if [ -r "${_patch_path}" ]; then
+ patch -b -d "${PKG_BASE_DIR}/${PKG_SUBDIR}" -p1 < "${_patch_path}";
+ fi;
+ done;
+};
+
+# vim:filetype=sh